Jack2 1.9.12

Public Member Functions | Public Attributes | List of all members
Jack::JackPortDisconnectRequest Struct Reference

PortDisconnect request. More...

`#include <JackRequest.h>`

Inheritance diagram for Jack::JackPortDisconnectRequest:

## Public Member Functions
| JackPortDisconnectRequest (int refnum, jack_port_id_t src, jack_port_id_t dst)
int | Read (detail::JackChannelTransactionInterface *trans)
int | Write (detail::JackChannelTransactionInterface *trans)
int | Size ()
Public Member Functions inherited from Jack::JackRequest
| JackRequest (RequestType type)
virtual int | Write (detail::JackChannelTransactionInterface *trans, int size)

## Public Attributes
int | fRefNum
jack_port_id_t | fSrc
jack_port_id_t | fDst
Public Attributes inherited from Jack::JackRequest
RequestType | fType
int | fSize

## Additional Inherited Members
Public Types inherited from Jack::JackRequest
enum | RequestType { kRegisterPort = 1, kUnRegisterPort = 2, kConnectPorts = 3, kDisconnectPorts = 4, kSetTimeBaseClient = 5, kActivateClient = 6, kDeactivateClient = 7, kDisconnectPort = 8, kSetClientCapabilities = 9, kGetPortConnections = 10, kGetPortNConnections = 11, kReleaseTimebase = 12, kSetTimebaseCallback = 13, kSetBufferSize = 20, kSetFreeWheel = 21, kClientCheck = 22, kClientOpen = 23, kClientClose = 24, kConnectNamePorts = 25, kDisconnectNamePorts = 26, kGetInternalClientName = 27, kInternalClientHandle = 28, kInternalClientLoad = 29, kInternalClientUnload = 30, kPortRename = 31, kNotification = 32, kSessionNotify = 33, kSessionReply = 34, kGetClientByUUID = 35, kReserveClientName = 36, kGetUUIDByClient = 37, kClientHasSessionCallback = 38, kComputeTotalLatencies = 39 }

## Detailed Description

PortDisconnect request.

Definition at line 662 of file JackRequest.h.

The documentation for this struct was generated from the following file:

- JackRequest.h